ALLEGRO_PRIM_BUFFER_FLAGS(3)

NAME

ALLEGRO_PRIM_BUFFER_FLAGS - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    typedef enum ALLEGRO_PRIM_BUFFER_FLAGS

DESCRIPTION

Flags to specify how to create a vertex or an index buffer.

•   ALLEGRO_PRIM_BUFFER_STREAM - Hints to the driver that the buffer is written to often, but used only a few times per frame

•   ALLEGRO_PRIM_BUFFER_STATIC - Hints to the driver that the buffer is written to once and is used often

•   ALLEGRO_PRIM_BUFFER_DYNAMIC - Hints to the driver that the buffer is written to often and is used often

•   ALLEGRO_PRIM_BUFFER_READWRITE - Specifies that you want to be able read from this buffer. By default this is disabled for performance. Some platforms (like OpenGL ES) do not support reading from vertex buffers, so if you pass this flag to al_create_vertex_buffer or al_create_index_buffer the call will fail.

SINCE

5.1.3

SEE ALSO

al_create_vertex_buffer(3), al_create_index_buffer(3)